#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long t = 0;
    long long n = 0;
    cin >> t;
    long long a[30001];
    long long b[30001];
    map<long long, long long> pozicije_a;
    map<long long, long long> pozicije_b;
    bool idalje_moze = true;
    long long brojac = 0;

    for (long long j = 0; j < t; j++)
    {
        cin >> n;
        for (long long i = 0; i < n; i++)
        {
            cin >> a[i];
            pozicije_a[abs(a[i])] = i;
        }
        for (long long i = 0; i < n; i++)
        {
            cin >> b[i];
            pozicije_b[abs(b[i])] = i;
            brojac += pozicije_a[abs(b[i])] - pozicije_b[abs(b[i])];
        }
        if (brojac != 0)
        {
            cout << "NE" << endl;
            return 0;
        }

        for (long long i = 0; i < n; i++)
        {
            if (a[i] * pow(-1, abs(pozicije_a[a[i]] - pozicije_b[a[i]])) != b[pozicije_b[a[i]]])
            {
                idalje_moze = false;
                cout << "NE" << endl;
                break;
            }
        }
        if (idalje_moze)
        {
            cout << "DA" << endl;
        }
        else
        {
            idalje_moze = true;
        }
    }




    return 0;
}